package com.cnbm.generator.code.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 功率等级 表
 *
 * @author codeGenerator
 * @since  2023-02-22
 */
@Data
@ApiModel(value = "功率等级 表DTO对象")
public class WoPowerLevelDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "功率等级名称，（现场人员手动录入）")
	private String powerClass;

	@ApiModelProperty(value = "pmpp_low,（现场人员手动录入）")
	private Float pmppLow;

	@ApiModelProperty(value = "pmpp_high,（现场人员手动录入）")
	private Float pmppHigh;

	@ApiModelProperty(value = "物料号,（现场人员手动录入）")
	private String sapMaterialNum;

	@ApiModelProperty(value = "线体，1=F ; 2=S (用于过程1比对，和包装打印)（设备传给我们的）（一个功率等级可能对应多个线体）")
	private Integer lineBody;

	@ApiModelProperty(value = "lable_voc,（手动录入）")
	private BigDecimal lableVoc;

	@ApiModelProperty(value = "lable_isc,（手动录入）")
	private BigDecimal lableIsc;

	@ApiModelProperty(value = "lable_vmpp,（手动录入）")
	private BigDecimal lableVmpp;

	@ApiModelProperty(value = "lable_impp,（手动录入）")
	private BigDecimal lableImpp;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}