package com.cnbm.generator.code.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 包装箱基板关联表 ( 基板表 )
 *
 * @author codeGenerator
 * @since  2023-03-03
 */
@Data
public class WoPackagingBoxSubstrateExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "包装箱ID，BoxId")
    private String packagingBoxId;
    @Excel(name = "基板ID")
    private String woSubstrateId;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;
    @Excel(name = "箱中位置")
    private Integer slot;
    @Excel(name = "进入时间")
    private LocalDateTime inputTime;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "SAP MATERIAL,从t_wo_power_level 对应过来的")
    private String sapMaterial;
    @Excel(name = "线体,从t_wo_power_level 对应过来的，1=F ; 2=S")
    private Integer lineBody;
    @Excel(name = "功率等级")
    private String powerLevel;
    @Excel(name = "")
    private LocalDateTime lastUpdateTime;
    @Excel(name = "补偿后的功率，pmpp")
    private Float pmpp;
    @Excel(name = "订单名")
    private String orderName;
    @Excel(name = "")
    private Long binclassFl1;
    @Excel(name = "")
    private Long binclassFl2;
    @Excel(name = "")
    private Float etaFl1;
    @Excel(name = "")
    private Float etaFl2;
    @Excel(name = "")
    private Float ffFl1;
    @Excel(name = "")
    private Float ffFl2;
    @Excel(name = "")
    private Float imppFl1;
    @Excel(name = "")
    private Float imppFl2;
    @Excel(name = "")
    private Float insolflashcontrolFl1;
    @Excel(name = "")
    private Float insolflashcontrolFl2;
    @Excel(name = "")
    private Float insolmppFl1;
    @Excel(name = "")
    private Float insolmppFl2;
    @Excel(name = "")
    private Float insolvocFl1;
    @Excel(name = "")
    private Float insolvocFl2;
    @Excel(name = "")
    private Float insolFl1;
    @Excel(name = "")
    private Float insolFl2;
    @Excel(name = "")
    private Float iscFl1;
    @Excel(name = "")
    private Float iscFl2;
    @Excel(name = "")
    private LocalDateTime measTimeFl1;
    @Excel(name = "")
    private LocalDateTime measTimeFl2;
    @Excel(name = "")
    private Float pmppFl1;
    @Excel(name = "")
    private Float pmppFl2;
    @Excel(name = "")
    private Float tcellFl1;
    @Excel(name = "")
    private Float tcellFl2;
    @Excel(name = "")
    private Float tmonicellFl1;
    @Excel(name = "")
    private Float tmonicellFl2;
    @Excel(name = "")
    private Float umppFl1;
    @Excel(name = "")
    private Float umppFl2;
    @Excel(name = "")
    private Float uocFl1;
    @Excel(name = "")
    private Float uocFl2;
    @Excel(name = "真实PMPP")
    private Float actualPmpp;

}