package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.WoPackagingBoxSubstrateDTO;
import com.cnbm.generator.code.mapper.WoPackagingBoxSubstrateMapper;
import com.cnbm.generator.code.entity.WoPackagingBoxSubstrate;
import com.cnbm.generator.code.service.WoPackagingBoxSubstrateServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 包装箱基板关联表 ( 基板表 )
 *
 * @author codeGenerator
 * @since 2023-03-03
 */
@Service
public class WoPackagingBoxSubstrateServiceBizImpl extends CrudServiceImpl<WoPackagingBoxSubstrateMapper, WoPackagingBoxSubstrate, WoPackagingBoxSubstrateDTO> implements WoPackagingBoxSubstrateServiceBiz {

    @Override
    public QueryWrapper<WoPackagingBoxSubstrate> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<WoPackagingBoxSubstrate> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}