package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.WoPowerLevelDTO;
import com.cnbm.generator.code.mapper.WoPowerLevelMapper;
import com.cnbm.generator.code.entity.WoPowerLevel;
import com.cnbm.generator.code.service.WoPowerLevelServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 功率等级 表
 *
 * @author codeGenerator
 * @since 2023-02-22
 */
@Service
public class WoPowerLevelServiceBizImpl extends CrudServiceImpl<WoPowerLevelMapper, WoPowerLevel, WoPowerLevelDTO> implements WoPowerLevelServiceBiz {

    @Override
    public QueryWrapper<WoPowerLevel> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<WoPowerLevel> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}