package com.cnbm.packing.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Arrays;


/**
 * 打印标签模板表
 *
 * @author codeGenerator
 * @since  2023-02-20
 */
@Data
@ApiModel(value = "camline 查询对象")
public class CamlineExtendArgDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	private LocalDateTime lastUpdateTime;
	private float pmpp;
	private String orderName;
	private Long binclassFl1;

	private Long binclassFl2;

	private Float etaFl1;

	private Float etaFl2;

	private Float ffFl1;

	private Float ffFl2;

	private Float imppFl1;

	private Float imppFl2;

	private Float insolflashcontrolFl1;

	private Float insolflashcontrolFl2;

	private Float insolmppFl1;

	private Float insolmppFl2;

	private Float insolvocFl1;

	private Float insolvocFl2;

	private Float insolFl1;

	private Float insolFl2;

	private Float iscFl1;

	private Float iscFl2;

	private LocalDateTime measTimeFl1;

	private LocalDateTime measTimeFl2;

	private Float pmppFl1;

	private Float pmppFl2;

	private Float tcellFl1;

	private Float tcellFl2;

	private Float tmonicellFl1;

	private Float tmonicellFl2;

	private Float umppFl1;

	private Float umppFl2;

	private Float uocFl1;

	private Float uocFl2;

}