package com.cnbm.packing.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "包装箱与基板关联变化对象")
public class ChangePackingBoxDTO implements Serializable {

    @ApiModelProperty(value = "WoPackagingBoxSubstrate.id")
    private Long id;

    @ApiModelProperty(value = "包装箱ID，BoxId")
    private String packagingBoxId;

    @ApiModelProperty(value = "基板ID")
    private String woSubstrateId;

    @ApiModelProperty(value = "箱中位置")
    private Integer slot;
}
