/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.cnbm.packing.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


/**
 * 主键对象
 *
 * @author jiff
 * @date 2018/11/7
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Data
@Builder
@ApiModel("主键视图对象")
public class IdVo {
    @ApiModelProperty(value = "主键", required = true, example = "1", notes = "根据实际接口返回不同对象的主键")
    private Long id;
}
