package com.cnbm.packing.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 包装箱基板关联表 ( 基板表 )
 *
 * @author codeGenerator
 * @since  2023-02-21
 */
@Data
@ApiModel(value = "包装箱基板关联表 ( 基板表 )DTO对象")
public class PowerReportDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "subNum")
	private Integer subNum;

	@ApiModelProperty(value = "subLevel")
	private String subLevel;

	@ApiModelProperty(value = "sumPMPP")
	private Float sumPMPP;

	@ApiModelProperty(value = "占比（百分比）")
	private String proportion;

	public PowerReportDTO() {
	}

	public PowerReportDTO(Integer subNum, String subLevel, Float sumPMPP, String proportion) {
		this.subNum = subNum;
		this.subLevel = subLevel;
		this.sumPMPP = sumPMPP;
		this.proportion = proportion;
	}
	public PowerReportDTO(Integer subNum, String subLevel, Float sumPMPP) {
		this.subNum = subNum;
		this.subLevel = subLevel;
		this.sumPMPP = sumPMPP;
	}
}