package com.cnbm.packing.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 基板补偿功率 表
 *
 * @author codeGenerator
 * @since  2023-02-20
 */
@Data
public class WoCompensationPowerExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "实际功率下限,（现场人员手动录入），如果实际功率不在范围，那么实际功率就是补偿功率")
    private Float actlPmppLow;
    @Excel(name = "实际功率上限,（现场人员手动录入），如果实际功率不在范围，那么实际功率就是补偿功率")
    private Float actlPmppHigh;
    @Excel(name = "计算公式")
    private String formula;
    @Excel(name = "线体，1=F ; 2=S (用于过程1比对，和包装打印)（设备传给我们的）")
    private Integer lineBody;
    @Excel(name = "系数a,（手动录入）")
    private Float coefficientA;
    @Excel(name = "系数b,（手动录入）")
    private Float coefficientB;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;

}