package com.cnbm.packing.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 包装箱打印历史表
 *
 * @author codeGenerator
 * @since  2023-02-15
 */
@Data
public class WoPackagingPrintHistoryExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "包装箱编号，关联t_wo_packaging_box.box_no")
    private String boxNo;
    @Excel(name = "打印时间")
    private LocalDateTime printTime;
    @Excel(name = "报工时间")
    private LocalDateTime completionReportingTime;
    @Excel(name = "打印状态：0、未打印，1、已打印")
    private Integer printStatus;
    @Excel(name = "报工状态：0、未报工，1、已报工, 指的是向ERP报工")
    private Integer completionReportingStatus;
    @Excel(name = "移箱时间，指的是 箱子离开产线时间")
    private LocalDateTime leaveLineTime;
    @Excel(name = "下片端口id")
    private String portId;
    @Excel(name = "打印次数")
    private Integer printCount;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;
    @Excel(name = "备注")
    private String remark;

}