package com.cnbm.packing.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 功率等级 表
 *
 * @author codeGenerator
 * @since  2023-02-20
 */
@Data
public class WoPowerLevelExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "功率等级名称，（现场人员手动录入）")
    private String powerClass;
    @Excel(name = "pmpp_low,（现场人员手动录入）")
    private Float pmppLow;
    @Excel(name = "pmpp_high,（现场人员手动录入）")
    private Float pmppHigh;
    @Excel(name = "物料号,（现场人员手动录入）")
    private String sapMaterialNum;
    @Excel(name = "线体，1=F ; 2=S (用于过程1比对，和包装打印)（设备传给我们的）")
    private Integer lineBody;
    @Excel(name = "lable_voc,（手动录入）")
    private BigDecimal lableVoc;
    @Excel(name = "lable_isc,（手动录入）")
    private BigDecimal lableIsc;
    @Excel(name = "lable_vmpp,（手动录入）")
    private BigDecimal lableVmpp;
    @Excel(name = "lable_impp,（手动录入）")
    private BigDecimal lableImpp;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;

}