package com.cnbm.packing.mapper;

import com.cnbm.common.dao.BaseDao;
import com.cnbm.packing.dto.CompensationPowerXSDTO;
import com.cnbm.packing.dto.WoPowerLevelDTO;
import com.cnbm.packing.entity.WoPowerLevel;
import com.cnbm.packing.param.CompensationQueryParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 功率等级 表
 *
 * @author codeGenerator
 * @since 2023-02-15
 */
@Mapper
public interface WoPowerLevelMapper extends BaseDao<WoPowerLevel> {

    List<WoPowerLevelDTO> list();

    WoPowerLevel getPowerLevelByLineBodyAndPMPP(@Param("param") CompensationQueryParam param);


}