package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.ChangePackagingBoxHistoryDTO;
import com.cnbm.packing.entity.ChangePackagingBoxHistory;

import java.util.List;
import java.util.Map;

/**
 * 包装箱拆合箱历史表
 *
 * @author codeGenerator
 * @since  2023-02-16
 */
public interface ChangePackagingBoxHistoryServiceBiz extends CrudService<ChangePackagingBoxHistory, ChangePackagingBoxHistoryDTO> {

    PageData<ChangePackagingBoxHistoryDTO> page (Map<String, Object> params);

    ChangePackagingBoxHistoryDTO get(Long id);

    void save(ChangePackagingBoxHistoryDTO dto);

    void update(ChangePackagingBoxHistoryDTO dto);

    void delete(Long[] ids);

    List<ChangePackagingBoxHistoryDTO> list(Map<String, Object> params);

    List<ChangePackagingBoxHistory> historyList(Map<String, Object> params);

}