**项目说明**
- 这是根据renren框架重新修改出来的框架
- 采用SpringBoot、MyBatis、spring security框架
- 提供了代码生成器，只需编写30%左右代码，其余的代码交给系统自动生成，可快速完成开发任务
- 代码生成器是用的Velocity模版引擎，如果需要可以在ym-generator模块中进行vm模板的修改和一些包名等基础修改
<br>

**新增业务模块需要注意**
- 新增业务模块时，业务模块需要依赖ym-admin，并且ym-gateway模块maven需要依赖新建模块
- 自动生成的controller接口都带鉴权注解，如果开发阶段可以先注释掉，后面开发完成之后再把鉴权添加到数据库
<br>

**技术选型：**
- 核心框架：Spring Boot 2.7
- 安全框架：Spring Security 
- 持久层框架：MyBatis 3.5
- 定时器：Quartz 2.3
- 数据库连接池：HikariCP 
- 日志管理：log4j2
- 页面交互：Vue2.x

<br>

**软件需求**
- JDK1.8
- Maven3.0+
- MySQL8.0
- redis6.0+
<br>


**切换到现场环境**
- gateway 下的 application.yml 改redis地址 改成10.0.1.249那个
- gateway 下的 application-dev.yml 选用 “MySQL-local” 和 “camline系统 - local” 这两个 
- packaging 下的 KukaJoinThread 要把 三个启动线程放开（kukaStep1.scheduleAtFixedRate、kukaStep2.scheduleAtFixedRate、kukaStep3.scheduleAtFixedRate）
  <br>