package com.cnbm.generator.code.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 包装箱拆合箱历史表
 *
 * @author codeGenerator
 * @since  2023-02-16
 */
@Data
@ApiModel(value = "包装箱拆合箱历史表DTO对象")
public class ChangePackagingBoxHistoryDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "基板ID或模组id")
	private String substrateId;

	@ApiModelProperty(value = "源包装箱box no, 关联t_wo_packaging_box.box_no 字段")
	private Long sourceBoxNo;

	@ApiModelProperty(value = "源箱slot")
	private Integer sourceSlot;

	@ApiModelProperty(value = "离开时间")
	private LocalDateTime leaveTime;

	@ApiModelProperty(value = "目标箱box no, 关联t_wo_packaging_box.box_no 字段")
	private Long targetBoxNo;

	@ApiModelProperty(value = "目标箱slot")
	private Integer targetSlot;

	@ApiModelProperty(value = "进入时间")
	private LocalDateTime inputTime;

	@ApiModelProperty(value = "等级")
	private String grade;

	@ApiModelProperty(value = "类型，1为拆箱，2为合箱")
	private Integer type;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}