package com.cnbm.generator.code.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 包装箱拆合箱历史表
 *
 * @author codeGenerator
 * @since  2023-02-16
 */
@Data
public class ChangePackagingBoxHistoryExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "基板ID或模组id")
    private String substrateId;
    @Excel(name = "源包装箱box no, 关联t_wo_packaging_box.box_no 字段")
    private Long sourceBoxNo;
    @Excel(name = "源箱slot")
    private Integer sourceSlot;
    @Excel(name = "离开时间")
    private LocalDateTime leaveTime;
    @Excel(name = "目标箱box no, 关联t_wo_packaging_box.box_no 字段")
    private Long targetBoxNo;
    @Excel(name = "目标箱slot")
    private Integer targetSlot;
    @Excel(name = "进入时间")
    private LocalDateTime inputTime;
    @Excel(name = "等级")
    private String grade;
    @Excel(name = "类型，1为拆箱，2为合箱")
    private Integer type;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;

}