package com.cnbm.generator.code.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 打印标签模板表
 *
 * @author codeGenerator
 * @since  2023-03-08
 */
@Data
public class PrintModelExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "编码")
    private String code;
    @Excel(name = "班组名称")
    private String name;
    @Excel(name = "启用状态:0 、停用，1、启用")
    private Integer enabled;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "类型，0：模组标签，1：等级标签")
    private Integer type;
    @Excel(name = "是否默认模板，0：否，1：是")
    private Integer isDefault;
    @Excel(name = "是否要预览，0：否，1：是")
    private Integer isPreview;
    @Excel(name = "模板内容")
    private String content;
    @Excel(name = "线体，1=F ; 2=S (用于过程1比对，和包装打印)（设备传给我们的）")
    private Integer lineBody;
    @Excel(name = "是否启用，0 停用；1 启用")
    private Integer isEnable;

}