package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.ChangePackagingBoxHistoryDTO;
import com.cnbm.generator.code.mapper.ChangePackagingBoxHistoryMapper;
import com.cnbm.generator.code.entity.ChangePackagingBoxHistory;
import com.cnbm.generator.code.service.ChangePackagingBoxHistoryServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 包装箱拆合箱历史表
 *
 * @author codeGenerator
 * @since 2023-02-16
 */
@Service
public class ChangePackagingBoxHistoryServiceBizImpl extends CrudServiceImpl<ChangePackagingBoxHistoryMapper, ChangePackagingBoxHistory, ChangePackagingBoxHistoryDTO> implements ChangePackagingBoxHistoryServiceBiz {

    @Override
    public QueryWrapper<ChangePackagingBoxHistory> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<ChangePackagingBoxHistory> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}