package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.PrintModelDTO;
import com.cnbm.generator.code.mapper.PrintModelMapper;
import com.cnbm.generator.code.entity.PrintModel;
import com.cnbm.generator.code.service.PrintModelServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 打印标签模板表
 *
 * @author codeGenerator
 * @since 2023-03-08
 */
@Service
public class PrintModelServiceBizImpl extends CrudServiceImpl<PrintModelMapper, PrintModel, PrintModelDTO> implements PrintModelServiceBiz {

    @Override
    public QueryWrapper<PrintModel> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<PrintModel> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}