package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.WoCompensationPowerDTO;
import com.cnbm.generator.code.mapper.WoCompensationPowerMapper;
import com.cnbm.generator.code.entity.WoCompensationPower;
import com.cnbm.generator.code.service.WoCompensationPowerServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 基板补偿功率 表
 *
 * @author codeGenerator
 * @since 2023-02-20
 */
@Service
public class WoCompensationPowerServiceBizImpl extends CrudServiceImpl<WoCompensationPowerMapper, WoCompensationPower, WoCompensationPowerDTO> implements WoCompensationPowerServiceBiz {

    @Override
    public QueryWrapper<WoCompensationPower> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<WoCompensationPower> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}