package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.WoPackagingBoxDTO;
import com.cnbm.generator.code.mapper.WoPackagingBoxMapper;
import com.cnbm.generator.code.entity.WoPackagingBox;
import com.cnbm.generator.code.service.WoPackagingBoxServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 包装箱表
 *
 * @author codeGenerator
 * @since 2023-02-23
 */
@Service
public class WoPackagingBoxServiceBizImpl extends CrudServiceImpl<WoPackagingBoxMapper, WoPackagingBox, WoPackagingBoxDTO> implements WoPackagingBoxServiceBiz {

    @Override
    public QueryWrapper<WoPackagingBox> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<WoPackagingBox> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}