package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.WoPackagingPrintHistoryDTO;
import com.cnbm.generator.code.mapper.WoPackagingPrintHistoryMapper;
import com.cnbm.generator.code.entity.WoPackagingPrintHistory;
import com.cnbm.generator.code.service.WoPackagingPrintHistoryServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 包装箱打印历史表
 *
 * @author codeGenerator
 * @since 2023-02-20
 */
@Service
public class WoPackagingPrintHistoryServiceBizImpl extends CrudServiceImpl<WoPackagingPrintHistoryMapper, WoPackagingPrintHistory, WoPackagingPrintHistoryDTO> implements WoPackagingPrintHistoryServiceBiz {

    @Override
    public QueryWrapper<WoPackagingPrintHistory> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<WoPackagingPrintHistory> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}