package com.cnbm.dispatchDDJ.interfaces;





import java.util.EventListener;

/**
 * SecsMessage receive Listener.
 * 
 * <p>
 * This interface is used in {@link #()}<br />
 * Receive-Message is only Primary-Message.<br />
 * </p>
 * 
 * @author kenta-shimizu
 */
public interface RuntimeEQErrListener extends EventListener {
	
	/**
	 * Putter Received Primary-Message.
	 * 
	 * <p>
	 * Not accept {@code null}.<br />
	 * </p>
	 * 
	 * @param only Primary-Message
	 */
	public void received(Integer errCode);
}
