package com.cnbm.packing.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 打印标签模板表
 *
 * @author codeGenerator
 * @since  2023-02-20
 */
@Data
@ApiModel(value = "打印标签模板表DTO对象")
public class PrintModelDTO implements Serializable {
	private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "编码")
	private String code;

	@ApiModelProperty(value = "班组名称")
	private String name;

	@ApiModelProperty(value = "启用状态:0 、停用，1、启用")
	private Integer enabled;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "类型，0：模组标签，1：等级标签")
	private Integer type;

	@ApiModelProperty(value = "是否默认模板，0：否，1：是")
	private Integer isDefault;

	@ApiModelProperty(value = "是否要预览，0：否，1：是")
	private Integer isPreview;

	@ApiModelProperty(value = "模板内容")
	private String content;

	@ApiModelProperty(value = "线体，1=F ; 2=S (用于过程1比对，和包装打印)（设备传给我们的）")
	private Integer lineBody;

	@ApiModelProperty(value = "是否启用，0 停用；1 启用")
	private Integer isEnable;

}