package com.cnbm.packing.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 包装箱表
 *
 * @author codeGenerator
 * @since  2023-02-20
 */
@Data
public class WoPackagingBoxExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "订单ID")
    private Long orderId;
    @Excel(name = "工单ID（舍弃啊）")
    private Long workOrderId;
    @Excel(name = "包装箱编号，这个就是boxId,关联 t_wo_packaging_box表的 boxId")
    private String boxNo;
    @Excel(name = "功率，单位瓦（舍弃）")
    private Integer power;
    @Excel(name = "等级（舍弃）")
    private Integer grade;
    @Excel(name = "基板数量，每个包装箱最大20片（舍弃）")
    private Integer substrateQuantity;
    @Excel(name = "装箱完成时间，指的是包装完成时间")
    private LocalDateTime packagingTime;
    @Excel(name = "打印时间（最近一次打印时间）")
    private LocalDateTime printTime;
    @Excel(name = "打印状态：0、未打印，1、已打印")
    private Integer printStatus;
    @Excel(name = "报工状态：0、未报工，1、已报工(舍弃)")
    private Integer completionReportingStatus;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;
    @Excel(name = "离开产线时间（舍弃）")
    private LocalDateTime leaveLineTime;
    @Excel(name = "下片端口id（舍弃）")
    private String portId;
    @Excel(name = "打印次数")
    private Integer printCount;
    @Excel(name = "功率等级")
    private String powerLevel;
    @Excel(name = "客户id（舍弃）")
    private Long customerId;
    @Excel(name = "SAP MATERIAL,从t_wo_power_level 对应过来的")
    private String sapMaterial;
    @Excel(name = "线体,从t_wo_power_level 对应过来的，1=F ; 2=S")
    private Integer lineBody;
    @Excel(name = "模式，1-手动模式；2-自动模式")
    private Integer model;
    @Excel(name = "是否到达包装台，1=到达；2=未达到")
    private Integer isArrived;
    @Excel(name = "订单号")
    private String orderNum;

}