package com.cnbm.packing.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 包装箱基板关联表 ( 基板表 )
 *
 * @author codeGenerator
 * @since  2023-02-21
 */
@Data
public class WoPackagingBoxSubstrateExcel {

    @Excel(name = "创建时间")
    private String boxCreateTime1;
    @Excel(name = "模组ID")
    private String woSubstrateId;
    @Excel(name = "BoxID")
    private String packagingBoxId;
    @Excel(name = "模组所在包装箱位置")
    private Integer slot;
    @Excel(name = "订单号")
    private String orderName;
    @Excel(name = "SAP物料号")
    private String sapMaterial;
    @Excel(name = "档位功率")
    private String powerLevel;
    @Excel(name = "补偿功率")
    private Float pmpp;
    @Excel(name = "实测功率")
    private Float actualPmpp;
    @Excel(name = "线体")
    private Integer lineBody;
    @Excel(name = "最近打印时间")
    private String printTime1;

}