package com.cnbm.packing.mapper;

import com.cnbm.common.dao.BaseDao;
import com.cnbm.packing.dto.CompensationPowerXSDTO;
import com.cnbm.packing.dto.WoCompensationPowerDTO;
import com.cnbm.packing.entity.WoCompensationPower;
import com.cnbm.packing.param.CompensationQueryParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 基板补偿功率 表
 *
 * @author codeGenerator
 * @since 2023-02-20
 */
@Mapper
public interface WoCompensationPowerMapper extends BaseDao<WoCompensationPower> {

    List<WoCompensationPowerDTO> list();

    CompensationPowerXSDTO getConffBySubIdAndLineBody(@Param("param") CompensationQueryParam param);
}