package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.WoCompensationPowerDTO;
import com.cnbm.packing.entity.WoCompensationPower;

import java.util.List;
import java.util.Map;

/**
 * 基板补偿功率 表
 *
 * @author codeGenerator
 * @since  2023-02-20
 */
public interface WoCompensationPowerServiceBiz extends CrudService<WoCompensationPower, WoCompensationPowerDTO> {


    PageData<WoCompensationPowerDTO> page (Map<String, Object> params);

    WoCompensationPowerDTO get(Long id);

    void save(WoCompensationPowerDTO dto);

    void update(WoCompensationPowerDTO dto);

    void delete(Long[] ids);

    List<WoCompensationPowerDTO> list();

    float calculCompensationPMPP(float pmpp, Integer lineBody);
    
}