package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.WoPackagingPrintHistoryDTO;
import com.cnbm.packing.entity.WoPackagingPrintHistory;

import java.util.List;
import java.util.Map;

/**
 * 包装箱打印历史表
 *
 * @author codeGenerator
 * @since  2023-02-15
 */
public interface WoPackagingPrintHistoryServiceBiz extends CrudService<WoPackagingPrintHistory, WoPackagingPrintHistoryDTO> {

    PageData<WoPackagingPrintHistoryDTO> page (Map<String, Object> params);

    WoPackagingPrintHistoryDTO get(Long id);

    void save(WoPackagingPrintHistoryDTO dto);

    void update(WoPackagingPrintHistoryDTO dto);

    void delete(Long[] ids);

    List<WoPackagingPrintHistoryDTO> list();

    void print(Long id);
    
}