package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.WoPowerLevelDTO;
import com.cnbm.packing.entity.WoPowerLevel;

import java.util.List;
import java.util.Map;

/**
 * 功率等级 表
 *
 * @author codeGenerator
 * @since  2023-02-15
 */
public interface WoPowerLevelServiceBiz extends CrudService<WoPowerLevel, WoPowerLevelDTO> {

    PageData<WoPowerLevelDTO> page (Map<String, Object> params);

    WoPowerLevelDTO get(Long id);

    void save(WoPowerLevelDTO dto);

    void update(WoPowerLevelDTO dto);

    void delete(Long[] ids);

    List<WoPowerLevelDTO> list();
    WoPowerLevel getArgByPMPP(float pmpp, Integer lineBody);

}